.m-dropdown {
  .m-dropdown__toggle {
    font-size: 20px;
    color: #444F78;
    display: block;
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);

    &.active,
    &:hover {
      color: #BB1130
    }
  }

  .m-dropdown__wrapper {
    position: fixed;
    top: 60px;
    right: 0;
    bottom: 33px;
    width: 100%;

    .m-dropdown__header {
      background: linear-gradient(90deg, #B82E45 0%, #7D438E 100%);
      font-weight: 500;
      font-size: 20px;
      line-height: 30px;
      color: #FFFFFF;
      padding: 10px 20px;
    }

    .filter-area {
      padding: 10px 20px;
      background: #F8F8FB;
      border-bottom: 1px solid #EBEDF2;
      font-weight: 500;
      font-size: 14px;
      line-height: 21px;
      color: #444F78;
      flex-shrink: 0;
      flex-grow: 0;

      .filter-select {
        margin-left: 20px;
        background: #FFFFFF;
        border: 1px solid #D9DDE8;
        border-radius: 4px;
        flex: 1;
        height: 38px;
        text-indent: 4px;
      }
    }

    .toggle-done {
      padding: 7px 20px;
      font-weight: 500;
      font-size: 14px;
      line-height: 21px;
      color: #2577C9;
      border-bottom: 1px solid #EBEDF2;
      flex-shrink: 0;
      flex-grow: 0;

      span {
        cursor: pointer;
      }
    }

    .todo-list {
      flex: 1;
      overflow: auto;

      &.overflow-hidden {
        overflow: hidden
      }

      .todo-item {
        padding: 9px 20px;
        font-weight: 500;
        font-size: 14px;
        line-height: 21px;
        color: #444F78;
        border-bottom: 1px solid #EBEDF2;

        .item-expire {
          padding: 5px;
          background: #BB1130;
          border-radius: 4px;
          color: #fff;
          line-height: 0;
          margin-right: 8px;

          i {
            color: #fff;
            font-size: 14px;
            line-height: 1;
            margin: 0;
          }
        }
      }

      &::-webkit-scrollbar-track {
        visibility: visible;
        background: #D0D2E0;
        border-radius: 15px;
      }
    }

    .input-task {
      font-weight: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 21px;
      color: #444F78;
      background: #FFFFFF;
      border: 1px solid #D9DDE8;
      border-radius: 4px;
      padding: 9px 10px;
      width: calc(100% - 40px);
      outline: none;
      padding-right: 25px;

      &:focus {
        border: 1px solid #FF8A00;
      }

      &.error {
        border: 1px solid #BB1130;
      }
    }

    .input-task_cancel {
      font-size: 10px;
      color: #444F78;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 10px;
      z-index: 1;
      cursor: pointer;
    }

    .input-error {
      font-size: 14px;
      line-height: 21px;
      color: #BB1130;
      padding-top: 5px;
    }

    .show-all {
      flex: 0 0 38px;
      font-weight: 500;
      font-size: 14px;
      line-height: 38px;
      text-align: center;
      color: #2577C9;
      border-top: 1px solid #EBEDF2;

      span {
        cursor: pointer;
      }

      .footer-item {
        font-weight: 500;
        font-size: 14px;
        line-height: 17px;
        text-align: center;
        color: #2577C9;
        background: #fff;
        text-decoration: none;
        cursor: pointer;
        flex: 1;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;

        &[disabled] {
          opacity: .4;
          pointer-events: none;
        }

        i {
          margin-right: 10px;
        }

        &:last-child {
          border-left: 1px solid #EBEDF2;
        }
      }
    }
  }
}

.text-line-throught {
  text-decoration: line-through;
}

.nt-link-my-job-list {
  &:after {
    border-bottom: none !important;
  }

  &:hover {
    text-decoration: underline !important;
  }
}

@media (min-width: 576px) {
  .m-dropdown {
    .m-dropdown__wrapper {
      top: 70px;
      right: 10px;
      bottom: 43px;
      width: 360px;
    }
  }
}

.nt-dropdown-backdrop-todo {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 100;
  background-color: rgba(255, 255, 255, 0);
  display: none;

  &.show {
    display: block;
  }
}